Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.iiop
Class CoordinatorExtPOA

    java.lang.Object
      org.omg.PortableServer.Servant
          org.jboss.tm.iiop.CoordinatorExtPOA

All Implemented Interfaces:
  CoordinatorExtOperations, org.omg.CosTransactions.CoordinatorOperations, InvokeHandler

Direct Known Subclasses:
  CoordinatorExtPOATie

public abstract class CoordinatorExtPOA
extends Servant
implements InvokeHandler, CoordinatorExtOperations

Generated from IDL interface "CoordinatorExt"

Author:
  JacORB IDL compiler V 2.2 (JBoss patch 2), 08-Jun-2004

Constructor Summary
`CoordinatorExtPOA()`

Method Summary
`String[]` | `_all_interfaces(POA poa, byte[] obj_id)`
`OutputStream` | `_invoke(String method, InputStream _input, ResponseHandler handler)`
`CoordinatorExt` | `_this()`
`CoordinatorExt` | `_this(ORB orb)`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _is_a, _non_existent, _object_id, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.tm.iiop.CoordinatorExtOperations
`get_transaction_id`

Methods inherited from interface org.omg.CosTransactions.CoordinatorOperations
`create_subtransaction, get_parent_status, get_status, get_top_level_status, get_transaction_name, get_txcontext, hash_top_level_tran, hash_transaction, is_ancestor_transaction, is_descendant_transaction, is_related_transaction, is_same_transaction, is_top_level_transaction, register_resource, register_subtran_aware, register_synchronization, rollback_only`

Constructor Detail

### CoordinatorExtPOA

    public CoordinatorExtPOA()

Method Detail

### _this

    public CoordinatorExt _this()

### _this

    public CoordinatorExt _this(ORB orb)

### _invoke

    public OutputStream _invoke(String method,
                                InputStream _input,
                                ResponseHandler handler)
                         throws SystemException

  Specified by:
    `_invoke` in interface `InvokeHandler`
  Throws:
    `SystemException`

### _all_interfaces

    public String[] _all_interfaces(POA poa,
                                    byte[] obj_id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.